Bug 1937810 - Review Request: sysmontask - Linux system monitor with the compactness and usefulness of WTM
Summary: Review Request: sysmontask - Linux system monitor with the compactness and us...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alessio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-11 15:17 UTC by Artem
Modified: 2021-03-19 20:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-17 02:17:54 UTC
Type: ---
Embargoed:
alciregi: fedora-review+


Attachments (Terms of Use)

Description Artem 2021-03-11 15:17:04 UTC
Spec URL: https://atim.fedorapeople.org/sysmontask.spec
SRPM URL: https://atim.fedorapeople.org/sysmontask-1.1.1-0.1.beta.b.fc33.src.rpm

Description:
Linux system monitor with the compactness and usefulness of Windows Task
Manager to allow higher control and monitoring.

Fedora Account System Username: atim

Comment 1 Artem 2021-03-11 15:17:10 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=63599547

Comment 3 Artem 2021-03-11 15:23:20 UTC
Hello Alessio. Are you interesting in review and co-maintain this app? Thanks in advance.

Comment 5 Alessio 2021-03-12 06:33:41 UTC
(In reply to Artem from comment #3)
> Hello Alessio. Are you interesting in review and co-maintain this app?
> Thanks in advance.

Yes. I'm interested in comantain it.
However I haven't reviewed any package before. BTW there is a starting point for everything. I will see what I can do.

Thanks.

Comment 6 Alessio 2021-03-12 06:43:15 UTC
https://github.com/KrispyCamel4u/SysMonTask/issues/34

Upstream has put version='1.1.1-beta2' in setup.py, but without issuing a new github tag

Comment 7 Artem 2021-03-12 08:47:54 UTC
> However I haven't reviewed any package before. BTW there is a starting point for everything. I will see what I can do.

👍🏻

> Upstream has put version='1.1.1-beta2' in setup.py, but without issuing a new github tag

https://github.com/KrispyCamel4u/SysMonTask/pull/35#issuecomment-797335302

Comment 8 Alessio 2021-03-14 16:55:49 UTC
Excuse me @Artem, maybe you are more expert than me, but SysMonTask-1.1.1_beta_b/sysmontask/gi_composites.py could be considered as a bundled library?

Comment 9 Alessio 2021-03-14 17:01:39 UTC
(In reply to Alessio from comment #8)
> Excuse me @Artem, maybe you are more expert than me, but
> SysMonTask-1.1.1_beta_b/sysmontask/gi_composites.py could be considered as a
> bundled library?

Oh well, other packages have this file in their path.

Comment 10 Artem 2021-03-14 17:06:11 UTC
(In reply to Alessio from comment #8)
> Excuse me @Artem, maybe you are more expert than me, but
> SysMonTask-1.1.1_beta_b/sysmontask/gi_composites.py could be considered as a
> bundled library?

Good question and this is doesn't clear for me too. Some people think this should move into library. But at this moment this is more like a part of app and at least there already few apps packaged in Fedora which have this component:

dnf -C repoquery --whatprovides \*gi_composites.py
Last metadata expiration check: 0:48:47 ago on Sun 14 Mar 2021 06:16:40 PM EET.
apostrophe-0:2.2.0.3-4.fc33.noarch
apostrophe-0:2.3-1.fc33.noarch
drawing-0:0.6.5-1.fc33.noarch
lutris-0:0.5.7.1-3.fc33.x86_64
lutris-0:0.5.8.3-3.fc33.x86_64
piper-0:0.5.1-2.fc33.noarch
pithos-0:1.4.1-9.fc32.noarch

Comment 11 Alessio 2021-03-15 06:46:57 UTC
Still talking about gi_composites.py file, the License: field in the spec file should contain "BSD and GPLv2+" based on what is stated on this [1] document?

[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_multiple_licensing_scenarios

Comment 12 Artem 2021-03-15 08:52:58 UTC
> Still talking about gi_composites.py file, the License: field in the spec file should contain "BSD and GPLv2+" based on what is stated on this [1] document?

Absolutely right. Thanks. gi_composites.py under LGPLv2+ license. I've added annotation in .spec file:

https://atim.fedorapeople.org/for-review/sysmontask.spec
https://atim.fedorapeople.org/for-review/sysmontask-1.1.1-0.4.beta.b.fc33.noarch.rpm

Comment 13 Alessio 2021-03-15 12:44:53 UTC
I used a previous version of sysmontask. It required the user password (in order to show all processes). The last version doesn't ask for a password, and indeed it shows only current user's processes. Do you know if is this intended?

Comment 14 Artem 2021-03-15 12:58:10 UTC
(In reply to Alessio from comment #13)

Seems like there few more issues, but this look like issues which should reported upstream and not fedora related and not packaging issues so nothing can be done from packagers side. Here this change https://github.com/KrispyCamel4u/SysMonTask/issues/6

I hope that packaging app is helps in its turn others people to find and report bugs, PR's to upstream and improve app quality in general. In this case seems like polkit could used for privilege escalation.

Comment 15 Alessio 2021-03-15 13:03:14 UTC
(In reply to Artem from comment #12)
> > Still talking about gi_composites.py file, the License: field in the spec file should contain "BSD and GPLv2+" based on what is stated on this [1] document?
> 
> Absolutely right. Thanks. gi_composites.py under LGPLv2+ license. I've added
> annotation in .spec file:

Good.

> https://atim.fedorapeople.org/for-review/sysmontask.spec
> https://atim.fedorapeople.org/for-review/sysmontask-1.1.1-0.4.beta.b.fc33.
> noarch.rpm

You didn't include the new srpm (just to facilitate the use of fedora-review command).

Comment 17 Alessio 2021-03-15 13:17:10 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "GNU Lesser General Public License v2.1 or later". 34 files
     have unknown license. Detailed output of licensecheck in
     /home/alessio/dev/sysmontask-
     review/sysmontask/1937810-sysmontask/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/sysmontask/icons,
     /usr/share/sysmontask
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/sysmontask,
     /usr/share/sysmontask/icons
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[-]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sysmontask-1.1.1-0.4.beta.b.fc35.noarch.rpm
          sysmontask-1.1.1-0.4.beta.b.fc35.src.rpm
sysmontask.noarch: W: no-manual-page-for-binary sysmontask
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_dark
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_default
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_light
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sysmontask.noarch: W: no-manual-page-for-binary sysmontask
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_dark
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_default
sysmontask.noarch: W: no-manual-page-for-binary sysmontask.set_light
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/KrispyCamel4u/SysMonTask/archive/v1.1.1_beta_b/SysMonTask-1.1.1_beta_b.tar.gz :
  CHECKSUM(SHA256) this package     : 88e5a4b7c9a4c4a82e26c990f7df0f31d29c5b39a6e4fad9688566d2dc9cd1fc
  CHECKSUM(SHA256) upstream package : 88e5a4b7c9a4c4a82e26c990f7df0f31d29c5b39a6e4fad9688566d2dc9cd1fc


Requires
--------
sysmontask (rpmlib, GLIBC filtered):
    /usr/bin/bash
    /usr/bin/python3
    gtk3
    hicolor-icon-theme
    python(abi)
    python3.9dist(psutil)
    python3.9dist(pycairo)
    python3.9dist(pygobject)
    python3.9dist(setuptools)



Provides
--------
sysmontask:
    application()
    application(SysMonTask.desktop)
    python3.9dist(sysmontask)
    python3dist(sysmontask)
    sysmontask



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1937810
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: PHP, C/C++, R, SugarActivity, Java, Perl, Ocaml, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 18 Alessio 2021-03-15 13:18:42 UTC
Looks good to me.

@ego.cordatus do you think that upstream will release a correct beta naming soon?

Comment 19 Artem 2021-03-15 13:24:14 UTC
(In reply to Alessio from comment #18)
> @ego.cordatus do you think that upstream will release a correct
> beta naming soon?

We can try to ask upstream to tag a new version with proper naming when sending docs with installation instructions.


BTW i'll fix this in next build before import:

> [-]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/sysmontask/icons,
>      /usr/share/sysmontask

Thanks for review and help.

Comment 20 Artem 2021-03-15 13:32:50 UTC
I've requested repos and i'll add you happily as co-maintainer.

Comment 21 Alessio 2021-03-15 13:35:03 UTC
(In reply to Artem from comment #20)
> I've requested repos and i'll add you happily as co-maintainer.

Thanks. It is a good chance to improve my skills.

Comment 22 Tomas Hrcka 2021-03-15 16:37:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sysmontask

Comment 23 Fedora Update System 2021-03-15 21:52:21 UTC
FEDORA-2021-9561ba84cb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9561ba84cb

Comment 24 Fedora Update System 2021-03-15 21:58:45 UTC
FEDORA-2021-01715c88f2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-01715c88f2

Comment 25 Fedora Update System 2021-03-16 14:43:47 UTC
FEDORA-2021-9561ba84cb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-9561ba84cb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9561ba84cb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2021-03-17 02:17:54 UTC
FEDORA-2021-01715c88f2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2021-03-19 20:17:12 UTC
FEDORA-2021-9561ba84cb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.